Account
Portfolio value + 24h change
Aggregate portfolio value and 24-hour change. currency is the quote currency (usd).
GET
Portfolio value + 24h change
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Aggregate portfolio value and 24-hour change. currency is the quote currency (usd).
curl --request GET \
--url https://api.alpha-labs.trade/api/v1/account/portfolio \
--header 'Authorization: Bearer <token>'{
"data": {
"walletAddress": "<string>",
"currency": "usd",
"totalValue": "12.50",
"absoluteChange24h": "12.50",
"percentChange24h": "4.27",
"positions": [
{
"tokenAddress": "<string>",
"tokenSymbol": "<string>",
"tokenName": "<string>",
"balance": "4.27",
"value": "12.50",
"price": "12.50",
"chainId": "<string>",
"decimals": 123,
"currency": "usd",
"lastUpdated": "2023-11-07T05:31:56Z"
}
],
"lastUpdated": "2023-11-07T05:31:56Z"
}
}Send your API key as Authorization: Bearer murmo_.... Keys are created in the Murmo app. Header-only — keys are never read from the query string. Valid for the REST API under /api/v1 only (not the GraphQL endpoint).
Portfolio.
Show child attributes
curl --request GET \
--url https://api.alpha-labs.trade/api/v1/account/portfolio \
--header 'Authorization: Bearer <token>'{
"data": {
"walletAddress": "<string>",
"currency": "usd",
"totalValue": "12.50",
"absoluteChange24h": "12.50",
"percentChange24h": "4.27",
"positions": [
{
"tokenAddress": "<string>",
"tokenSymbol": "<string>",
"tokenName": "<string>",
"balance": "4.27",
"value": "12.50",
"price": "12.50",
"chainId": "<string>",
"decimals": 123,
"currency": "usd",
"lastUpdated": "2023-11-07T05:31:56Z"
}
],
"lastUpdated": "2023-11-07T05:31:56Z"
}
}